import React from 'react';
import '../node_modules/bootstrap/dist/css/bootstrap.min.css';
import Home from './pages/Home';
import Temple from './pages/Temple';
import Result from './pages/Result';
import {BrowserRouter as Router, Switch, Route} from 'react-router-dom';
import './App.css';


function App() {
  return (
    <>
    <Router>
      
      <Switch>
        <Route path='/' component={Home} exact />
        <Route path='/temple/:templeId' component={Temple} exact />
        <Route path='/result' component={Result} exact />
      </Switch>
    </Router>
  
    </>
  );
}

export default App;
