import React, { useState } from "react";
import { FaStar } from "react-icons/fa";
import "./css/component.css";


const StarRating = (props) => {
  let rating = ~~props.rating;
  let temp_rating = ~~props.rating;
  let size= ~~props.size;
  return (
    <div>
      {[...Array(5)].map((star, i) => {
        const ratingValue = i + 1;
        rating -= 1;
        return (
          <label key={i}>
            <input
              type="radio"
              name="rating"
              value={rating > 0}
            />
            <FaStar
              id={i}
              className="star"
              color={rating >= 0 ? "#ffc107" : "#e4e5e9"}
              size={size}
            // onMouseEnter={() => setHover(ratingValue)}
            // onMouseLeave={() => setHover(null)}
            />
          </label>
        );
      })}
      {/* <span className="r">{temp_rating}/5 </span>
      <span>Ratings</span> */}
    </div>
  );
};

export default StarRating;
