import React, { useState, useEffect } from 'react'
// import cloud from './images/cloud.png'
import uv from "./images/uv-protection.png";
import './css/component.css';

function UVCard(props) {
    let templeInfo = props.templeInfo;

    return (
        <div className="uv-card">
            <div className="uv-card-left">
                <h3>UV index</h3>
                <h4 className="uv-level">{templeInfo.uv_level}</h4>
                <div className="uv-value">
                    <h1>{templeInfo.uv}</h1>
                </div>
                <h5>{templeInfo.uv_recommendation}</h5>

            </div>
            <div className="uv-card-right">
                <img src={uv}  alt="Weather Icon" />  
            
            </div>
            
            
        </div>


    )
}

export default UVCard

