import React, { Component } from "react";
import '../components/css/component.css';
import Navbar from "../components/Navbar";
import { withRouter } from 'react-router-dom'

const clientId = process.env.REACT_APP_GOOGLE_CLIENT_ID;

class Result extends Component
{
    constructor(props) {
      super(props);
      this.handleClick = this.handleClick.bind(this);
    }

    handleClick(event) {
      const id = event.target.id;
      this.props.history.push(`/temple/${id}`);
    }

    render() {
      return( 
        <>
          <Navbar/>
          <div>
          </div>
          <div className="result-section">
              <li>
              {this.props.history.location.state.data.map(temple => 
              <button className="result-box"
                onClick={this.handleClick}
                id={temple._id}
              >{temple.name}
              </button>)}
              </li>
          </div>
        </>
        
      
      )
    }
}

export default withRouter(Result);