import React from 'react'
import './css/component.css';

function WeatherCard(props) {
    let templeInfo = props.templeInfo;


    return (
        <div className="temp-card">
            <div className="temp-card-left">
                <h3>{templeInfo.weather_description}</h3>
                <div className="temp-value">
                    <h1>{templeInfo.temp}</h1>
                    <h6>°C</h6>
                </div>
                <div className="temp-feel">
                    <h5>feel likes   {templeInfo.temp_feels_like} </h5>
                    <h5>°C</h5>
                </div>

            </div>
            <div className="temp-card-right">
                <img src={templeInfo.temp_icon_image_path} alt="Weather Icon" />
                {/* <img src="http://openweathermap.org/img/wn/10d@2x.png" alt="Weather Icon" /> */}
            </div>




        </div>


    )
}

export default WeatherCard

